QtfrNode Struct Reference

`#include <regparse.h>`

## Data Fields

NodeBase | base
int | state
struct _Node * | target
int | lower
int | upper
int | greedy
int | target_empty_info
struct _Node * | head_exact
struct _Node * | next_head_exact
int | is_refered

## Detailed Description

Definition at line 173 of file regparse.h.

## Field Documentation

NodeBase QtfrNode::base

Definition at line 174 of file regparse.h.

int QtfrNode::greedy

Definition at line 179 of file regparse.h.

Referenced by compile_length_quantifier_node(), compile_quantifier_node(), compile_range_repeat_node(), is_anychar_star_quantifier(), next_setup(), onig_reduce_nested_quantifier(), optimize_node_left(), popular_quantifier_num(), set_quantifier(), and setup_tree().

struct _Node* QtfrNode::head_exact

Definition at line 181 of file regparse.h.

Referenced by compile_length_quantifier_node(), compile_quantifier_node(), get_head_value_node(), and setup_tree().

int QtfrNode::is_refered

Definition at line 183 of file regparse.h.

Referenced by compile_length_quantifier_node(), and compile_quantifier_node().

int QtfrNode::lower

Definition at line 177 of file regparse.h.

Referenced by compile_enclose_node(), compile_length_enclose_node(), compile_length_quantifier_node(), compile_quantifier_node(), compile_range_repeat_node(), get_char_length_tree1(), get_head_value_node(), get_min_match_length(), next_setup(), onig_reduce_nested_quantifier(), optimize_node_left(), popular_quantifier_num(), set_quantifier(), and setup_tree().

struct _Node* QtfrNode::next_head_exact

Definition at line 182 of file regparse.h.

Referenced by compile_length_quantifier_node(), compile_quantifier_node(), and next_setup().

int QtfrNode::state

Definition at line 175 of file regparse.h.

Referenced by setup_tree().

struct _Node* QtfrNode::target

Definition at line 176 of file regparse.h.

Referenced by compile_enclose_node(), compile_length_enclose_node(), compile_length_quantifier_node(), compile_quantifier_node(), compile_range_repeat_node(), get_char_length_tree1(), get_head_value_node(), get_max_match_length(), get_min_match_length(), is_anychar_star_quantifier(), next_setup(), onig_reduce_nested_quantifier(), optimize_node_left(), set_quantifier(), and setup_tree().

int QtfrNode::target_empty_info

Definition at line 180 of file regparse.h.

Referenced by compile_length_quantifier_node(), compile_quantifier_node(), and setup_tree().

int QtfrNode::upper

Definition at line 178 of file regparse.h.

Referenced by compile_length_quantifier_node(), compile_quantifier_node(), compile_range_repeat_node(), get_char_length_tree1(), get_max_match_length(), is_anychar_star_quantifier(), next_setup(), onig_reduce_nested_quantifier(), optimize_node_left(), popular_quantifier_num(), set_quantifier(), and setup_tree().

The documentation for this struct was generated from the following file:

- regparse.h